POST api/contractapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Request Formats

application/json, text/json

Sample:
{
  "selected_nameplate_id": "5a88e7d0-3570-4f8f-98a3-7f3b05dbabf1",
  "selected_sticker_id": "bb69cd55-60e5-4d3c-9a84-3189bda2716f",
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "158a9c18-d5ea-4dc2-bde2-39dce57f16bd",
      "site_id": "3c13e430-c394-444f-9da9-eb8a1302a3f8"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "158a9c18-d5ea-4dc2-bde2-39dce57f16bd",
      "site_id": "3c13e430-c394-444f-9da9-eb8a1302a3f8"
    }
  ],
  "active": true,
  "certificate_type_id": "645bb0ee-a5a7-4a54-96de-b5e07dd9aa7b",
  "code": 1,
  "delay_between_scans": 1,
  "id": "d7be870e-d4af-4ccb-ab58-86e27e4a57d5",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "23f528ef-fe00-4346-830f-4f530b26340d",
  "packing_type_id": "c77ab09d-07ed-4b41-8979-0f85e92e0f1a",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "2da66547-9bb8-4d4f-9a87-235693782e28",
  "remark": "sample string 14",
  "site_customer_id": "3e837d8e-7a89-485d-a5b7-3f5df1f5e98f",
  "sorting_type_id": "80bc9482-724d-40c3-a567-72f2a67c53c6",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>645bb0ee-a5a7-4a54-96de-b5e07dd9aa7b</certificate_type_id>
  <code>1</code>
  <delay_between_scans>1</delay_between_scans>
  <id>d7be870e-d4af-4ccb-ab58-86e27e4a57d5</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>23f528ef-fe00-4346-830f-4f530b26340d</packaging_type_id>
  <packing_type_id>c77ab09d-07ed-4b41-8979-0f85e92e0f1a</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>2da66547-9bb8-4d4f-9a87-235693782e28</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>3e837d8e-7a89-485d-a5b7-3f5df1f5e98f</site_customer_id>
  <sorting_type_id>80bc9482-724d-40c3-a567-72f2a67c53c6</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>5a88e7d0-3570-4f8f-98a3-7f3b05dbabf1</selected_nameplate_id>
  <selected_sticker_id>bb69cd55-60e5-4d3c-9a84-3189bda2716f</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>158a9c18-d5ea-4dc2-bde2-39dce57f16bd</id>
      <site_id>3c13e430-c394-444f-9da9-eb8a1302a3f8</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>158a9c18-d5ea-4dc2-bde2-39dce57f16bd</id>
      <site_id>3c13e430-c394-444f-9da9-eb8a1302a3f8</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"bdaa0bc1-179a-4801-a251-9e641cfb4b8f"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">bdaa0bc1-179a-4801-a251-9e641cfb4b8f</guid>